Package org.eclipse.mat.ui.internal.query.arguments

## Enum CheckBoxEditor.Type

- java.lang.Object
- - java.lang.Enum<CheckBoxEditor.Type>
  - - org.eclipse.mat.ui.internal.query.arguments.CheckBoxEditor.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CheckBoxEditor.Type>`

Enclosing class:
  CheckBoxEditor

    public static enum CheckBoxEditor.Type
    extends java.lang.Enum<CheckBoxEditor.Type>

### Enum Constant Summary

Enum Constants
`GENERAL`
`INCLUDE_CLASS_INSTANCE`
`INCLUDE_SUBCLASSES`
`INTEPRET_AS_CLASSLOADER`
`RETAINED`
`VERBOSE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getFlag()`
`java.lang.String` `getHelpText()`
`java.lang.String` `getLabel()`
`static CheckBoxEditor.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CheckBoxEditor.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INCLUDE_CLASS_INSTANCE

    public static final CheckBoxEditor.Type INCLUDE_CLASS_INSTANCE

#### INCLUDE_SUBCLASSES

    public static final CheckBoxEditor.Type INCLUDE_SUBCLASSES

#### INTEPRET_AS_CLASSLOADER

    public static final CheckBoxEditor.Type INTEPRET_AS_CLASSLOADER

#### RETAINED

    public static final CheckBoxEditor.Type RETAINED

#### VERBOSE

    public static final CheckBoxEditor.Type VERBOSE

#### GENERAL

    public static final CheckBoxEditor.Type GENERAL

### Method Detail

#### values

    public static CheckBoxEditor.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CheckBoxEditor.Type c : CheckBoxEditor.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CheckBoxEditor.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getLabel

    public java.lang.String getLabel()

#### getHelpText

    public java.lang.String getHelpText()

#### getFlag

    public java.lang.String getFlag()